--- dieharder-3.31.1/autogen.sh	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/autogen.sh	2016-03-09 17:24:24.292466514 -0700
@@ -18,3 +18,3 @@
 echo "Running autoreconf..."
-autoreconf
+autoreconf --install --force
 
--- dieharder-3.31.1/configure.ac	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/configure.ac	2016-03-09 17:32:23.309477977 -0700
@@ -20,3 +20,3 @@
 # AM_MAINTAINER_MODE
-
+AM_PROG_AR
 AC_DEFINE([RELEASED], [], [Description])
@@ -60,2 +60,3 @@
 AC_PROG_CC
+AC_PROG_CXX
 AM_PROG_CC_C_O
@@ -88,3 +89,3 @@
 define([AC_LIBTOOL_LANG_GCJ_CONFIG], [:])
-AC_PROG_LIBTOOL
+LT_INIT
 
@@ -94,2 +95,3 @@
 AC_TYPE_SIZE_T
+AC_TYPE_OFF_T
 # AC_C_CONST
@@ -117,2 +119,5 @@
 #==================================================================
+AC_CHECK_HEADERS([limits.h])
+AC_CHECK_HEADERS([stddef.h])
+AC_CHECK_HEADERS([sys/time.h])
 AC_CHECK_HEADER([gsl/gsl_sf_gamma.h],,[AC_MSG_ERROR([Couldn't find GSL headers.  Please install the gsl-devel package.])])

--- dieharder-3.31.1/libdieharder/configure.ac	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/libdieharder/configure.ac	2016-03-09 17:24:24.292466514 -0700
@@ -9,2 +9,3 @@
 # Checks for programs.
+AC_LANG(C)
 AC_PROG_CC
@@ -19,2 +20,5 @@
 AC_CHECK_HEADERS([string.h])
+AC_CHECK_FUNCS([strerror])
+AC_CHECK_HEADERS([float.h])
+AC_CHECK_HEADERS([stddef.h])
 
@@ -22,3 +26,6 @@
 AC_C_CONST
+AC_C_INLINE
 AC_TYPE_SIZE_T
+AC_TYPE_OFF_T
+AC_TYPE_UINT32_T
 AC_HEADER_TIME
@@ -28,2 +35,3 @@
 AC_FUNC_STAT
+AC_FUNC_ERROR_AT_LINE
 AC_CHECK_FUNCS([bzero gettimeofday memset pow sqrt])

--- dieharder-3.31.1/Makefile.am	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/Makefile.am	2016-03-09 17:24:24.291466526 -0700
@@ -12,2 +12,3 @@
 
+ACLOCAL_AMFLAGS=-I m4
 #========================================================================

--- dieharder-3.31.1/manual/Makefile.am	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/manual/Makefile.am	2016-03-30 11:57:59.567234623 -0600
@@ -6,3 +6,3 @@
 SVNPATH = $(SVNTREE)/dieharder
-SVNTIME = $(HOME/Src/Projects/dieharder/dieharder.svn.time)
+SVNTIME = $(HOME)/Src/Projects/dieharder/dieharder.svn.time
 
@@ -30,4 +30,4 @@
 all:	$(PDF)
-ps:	$(DVI) $(PS)
-pdf:	$(DVI) $(PS) $(PDF)
+ps-local:	$(DVI) $(PS)
+pdf-local:	$(DVI) $(PS) $(PDF)
 a4ps:	$(DVI) $(A4PS)
@@ -49,6 +49,6 @@
 # Clean up all the junk build files and output formats to save space.
-clean:
+clean-local:
 	rm -f $(DVI) $(AUX) $(LOGS) $(TOC) $(ERR) $(PS) $(PDF)
 
-install: $(PDF)
+install-data-local: $(PDF)
 	cp $(PDF) ..

--- dieharder-3.31.1/include/dieharder/libdieharder.h	2011-10-14 07:41:37.000000000 -0600
+++ dieharder-3.31.1/include/dieharder/libdieharder.h	2016-03-09 17:24:24.291466526 -0700
@@ -21,2 +21,3 @@
 #include <sys/stat.h>
+#include <stdint.h>
 #include <unistd.h>

